import React, { useEffect } from "react";
import { connect } from "react-redux";
import { Spin } from "antd";
import "../style/Main.css";

import { getNews } from "../actions/Actions";

// export default () => {
const Main = ({ getNews, gotNews = [] }) => {
  useEffect(() => {
    getNews();
  }, []);
  console.log(gotNews);

  function date(date) {
    return (
      new Date(date)
    )
  }

  return (
    <div className="main">
      {!gotNews.length ? (
        <div className="container2">
          <Spin size="large" tip="loading..." />
        </div>) : (
        <ul className="news_list">
          {gotNews.map((item, index) => (
              <li className="news_card" key={index.toString()}>
              <img src={item.image} />
                  <p className="news_card_title">{item.title}</p>
                  <p className="news_card_descr">{item.description}</p>
                  {/* <span>{new Date(Date.parse(`${item.date}`))}</span> */}
                  <div className="news_card_info">
                      <span>{item.date}</span>
                      <a href={item.url}> Read more</a>
                  </div>
            </li>
            ))
        }
        </ul>
      )}
    </div>
  );
};

const mapStateToProps = (state) => ({
  gotNews: state.gotNews,
});

const mapDispatchToProps = (dispatch) => ({
  getNews: () => dispatch(getNews()),
});

export default connect(mapStateToProps, mapDispatchToProps)(Main);
